# HRU-DELIN
# first step : hru-delin_init

gisdbase=../grass_db/grassdata
location=hru-delin
mapset=PERMANENT

rm -R $gisdbase
mkdir $gisdbase
mkdir $gisdbase/$location
mkdir $gisdbase/$location/$mapset

#
cp ../grass_db/location_parms/* $gisdbase/$location/$mapset/
#
rc_file=../grass_db/.grassrc
echo "GISDBASE: $gisdbase" > $rc_file
echo "LOCATION_NAME: $location" >> $rc_file
echo "MAPSET: $mapset" >> $rc_file
export GISRC=$rc_file

export GISBASE=/usr/lib/grass64
export PATH=$PATH:$GISBASE/bin:$GISBASE/scripts
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$GISBASE/lib
export PYTHONPATH=$PYTHONPATH:$GISBASE/etc/python

# ----------------------
# clean work environment
# ----------------------

clean_files=`grep "files:" hrudelin_config.cfg | cut -d ':' -f2 | sed -e 's/[[:blank:]]*$//'`
rm -r $clean_files
mkdir $clean_files
clean_results=`grep "results:" hrudelin_config.cfg | cut -d ':' -f2 | sed -e 's/[[:blank:]]*$//'`
rm -r $clean_results
mkdir $clean_results
rm -r tmp
mkdir tmp

# ----------------------------------
# exec first step of HRU-DELIN batch
# ----------------------------------
python modules/hru-delin_1_init.py



